Subject: Overcoming Procrastination

From: Caltech Directory <[email-masked]>
Date: Wed, 7 Feb 2007 14:01:41 -0800

Overcoming Procrastination

Thursday, February 8th at Noon in Caltech Y Lounge

What is procrastination? It's the problem set that doesn't get done 
on time (again!), or the experiment you don't get started.  It's the 
meeting with your advisor you don't get around to scheduling, and 
it's the drop card you don't turn in on time.  Procrastination is the 
continuing battle with yourself to do what you know you should...and 
your inability to change.  This program will help students in 
attendance have a different, possibly better, way of understanding 
their procrastination and what to do about it.

Sponsored by the Counseling Center
-- 
***********************************************
You are receiving this via the Personnel Directory database.  If you 
prefer receiving memos on paper, please email [email-masked] 
or drop a note to Directory 1-71.